:root
{
    --prexer-red: #CC0000;
    --prexer-gray: #CCCCCC;
    --prexer-darkgray: #5C5C5C;
    --prexer-black: #2B2B2B;
}

html
{
	height: 100vh;
	background-color: var(--prexer-black);
}

body
{
    font-family: "Barlow", sans-serif!important;
    color: var(--prexer-darkgray);
}

.blured-banner
{
	backdrop-filter: blur(5px);	
	width: fit-content;
	padding-left: 1rem;
	padding-right: 1rem;
}

.info-page-layout
{
	padding: 2% 7%;
	min-height: 51vh;
	font-size: 1.3vw;
}

.info-page-layout a
{
	color: var(--prexer-red);
	text-decoration: none
}

.info-page-layout a:hover
{
	text-decoration: underline;
}

.info-page-layout .logo
{
	margin-bottom: 1.5rem;
}

.info-page-layout .cert-container img
{
	width: 100%;
	margin-bottom: 1rem;
	margin-top: 1rem;
}

.active
{
	font-weight: bold;
}

.ui_field_productData .bracket
{
	font-weight: normal !important;
}

.ui_field_productData .asterisk
{
	font-size: 0.8rem !important;
}

.repair-table
{
	margin-right: auto;
	font-size: 1.25vw;
}

.repair-table th
{
	color: var(--prexer-red);
}

.repair-table :is(th, td)
{
	border-bottom: 1px solid var(--prexer-gray);
    padding-bottom: 5px;
}

.repair-table tr td:first-child
{
	font-weight: 500;
	padding-right: 4rem;
	padding-left: 0px;
}

.repair-table tr td
{
	padding-right: 4rem;
}

.repair-table a
{
	text-decoration: none;
	color: var(--prexer-red);
}

.repair-table a:hover
{
	text-decoration: underline;
}

.col-w-50
{
    width: 50%;
}
.ui_fieldNormal
{
    padding: 2% 7%;
}
#ui_field_productHeader
{
	padding-top: 0px;
}
#ui_field_navbar
{
    opacity: 1;
    z-index: 6;
}
#ui_field_navbar .navbar-brand
{
    font-weight: 600;
    font-size: 40px;
    font-family: "Chakra Petch", sans-serif;
    color: var(--prexer-red);
    display: flex;
    align-items: flex-start;
}
#ui_field_navbar .navbar-brand span
{
    font-size: 30px;
}
#ui_field_navbar > div.container-fluid
{
    padding-left: 3vw;
    padding-right: 3vw;
}
#ui_field_navbar .navbar-nav 
{
	margin-left: auto;
	margin-right: 0px !important;
}
#ui_field_navbar .navbar-nav li
{
    margin: 0 1vw;
    text-wrap: nowrap;
    font-size: 0.6vw;
    text-transform: uppercase;
}
#ui_field_navbar ul.navbar-nav > li > a.nav-link, .dropdown-menu.show a
{
    color: var(--prexer-gray);
    font-size: 14px;
}
.nav-link:hover
{
	color: var(--prexer-red) !important;
}

.navbar-toggler
{
    color: white;
}
.navbar-toggler-icon
{
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E")!important;
}
.navbar-toggler
{
    border-color: rgb(255,255,255);
}
.navbar-collapse.show, .navbar-collapse.collapsing
{
    background-color: var(--prexer-black);
}
.dropdown-menu.show
{
    background-color: var(--prexer-black);
}
.dropdown-menu.show a
{
    color: var(--prexer-gray);
}
.dropdown-menu.show li a:hover
{
    color: var(--prexer-red);
    background-color: var(--prexer-black);
}
.ui_field_bannerMain
{
	height: 40vh;
    width: 100%;
    position: relative;
    top: 0;
	background-color: #000000
}
.ui_field_bannerMain img
{
    width: 100%;
}
#ui_field_pageContent
{
    position: absolute;
    top: 0px;
    z-index: 5;
    width: 100%;
	background-color: white;
}
#ui_field_bannerHeader
{
    position: absolute;
    top: 36%;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 3.1vw;
    color: var(--prexer-red);
    font-weight: 600;
    font-family: "Chakra Petch", sans-serif;
    text-transform: uppercase;
	z-index: 99;
}
.short-banner
{
	height: 40vh;
	width: 100%;
	position: relative;
	top: 0;
	background-color: #000000;
}

.short-banner #ui_field_bannerHeader
{
	top: 44%;
}

.short-banner img
{
	height: 100%;
	object-fit: cover;
}

.ui_field_bannerProducts
{
    display: flex;
    position: absolute;
    top: 65%;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
}
.ui_field_bannerProducts a
{
    color: var(--prexer-gray);
    text-decoration: none;
    margin: 0 10px;
    font-size: 1.3vw;
}
.ui_field_bannerProducts p
{
    margin-bottom: 0;
}
.ui_field_bannerProducts a:hover, .ui_field_breadcrumbs a:hover, .ui_field_sightStyle p.ui_p_productName a:hover
{
    text-decoration: underline;
}
.ui_field_bannerProducts a:hover
{
    color: var(--prexer-red);
}
.ui_field_breadcrumbs a
{
    color: var(--prexer-gray);
    text-decoration: none;
}
.ui_field_breadcrumbs span
{
    text-transform: capitalize;
    font-weight: 600;
    color: var(--prexer-gray);
}
.ui_field_breadcrumbs span.active
{
    color: var(--prexer-red);
}
.ui_field_breadcrumbs span+span:before	
{
    padding: 8px;
    color: var(--pb-dark);
    content: "/\00a0";
}
h2.ui_h2_siteTitle
{
    color: var(--prexer-red);
    font-size: 2.1vw;
    text-transform: uppercase;
    font-weight: 600;
}
img.ui_img_descriptionImage
{
    width: 15%;
    height: fit-content;
}
.ui_p_description
{
    font-size: 1.25vw;
    width: 70%;
    margin-top: 10px;
    color: var(--prexer-darkgray);
	margin-bottom: 1rem;
}
div.ui_field_categoryOffer div.ui_field_sightStyle
{
    --b: 3px;   /* thickness of the border */
    --c: var(--prexer-red);   /* color of the border */
    --w: 30px;  /* width of border */
    padding: var(--b); /* space for the border */
    position:relative;
    width: 90%;
    padding: 1.5vw;
}
div.ui_field_sightStyle::before
{
    content :"";
    position: absolute;
    inset: 0;
    background: var(--c,red);
    --_g: #0000 90deg,#000 0;
    --_p: var(--w) var(--w) no-repeat;
    --mask:
        conic-gradient(from 90deg  at top    var(--b) left  var(--b),var(--_g)) 0    0    / var(--_p),
        conic-gradient(from 180deg at top    var(--b) right var(--b),var(--_g)) 100% 0    / var(--_p),
        conic-gradient(from 0deg   at bottom var(--b) left  var(--b),var(--_g)) 0    100% / var(--_p),
        conic-gradient(from -90deg at bottom var(--b) right var(--b),var(--_g)) 100% 100% / var(--_p);
    -webkit-mask: var(--mask);
    mask: var(--mask);
}
.ui_field_sightStyle h3
{
    text-transform: uppercase;
    color: var(--prexer-red);
    font-weight: 600;
    font-size: 1.35vw;
	margin-top: 0px !important;
}
.ui_field_sightStyle h5
{
    color: var(--prexer-darkgray);
    letter-spacing: -1px;
    font-size: 1.2vw;
    text-transform: uppercase;
}
.ui_field_sightStyle p.ui_p_productName
{
    color: var(--prexer-red);
    text-transform: uppercase;
    font-weight: 600;
    font-size: 1.2vw;
    position: relative;
    z-index: 9;
}
.ui_field_sightStyle p.ui_p_productName a
{
    color: var(--prexer-red);
    text-decoration: none;
}
.ui_img_categoriesDescriptionImage
{
    width: 90%;
}
.ui_field_categoryOffer div
{
    min-width: 340px;
    width: 50%;
}
/* product page */
.carousel-inner
{
	height: 100%;
}

.carousel-item
{
	height: 100%;
}

.carousel-item img
{
	width:100%;
    height:100%;
    object-fit: cover;
    overflow: hidden;
}

.ui_field_sightStyle h5
{
	margin-top: 1.5rem;
	margin-bottom: 0.5rem !important;
}

.ui_field_sightStyle .ui_p_productName
{
	margin-bottom: 0.2rem;
}

.carousel-control-next-icon, .carousel-control-prev-icon
{
    width: 3rem;
    height: 3rem;
    color: gray;
}
#carouselExampleSlidesOnly
{
	height: 100%;
    margin-top: -1px;
}
.carousel-control-prev-icon 
{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e");
}
.carousel-control-next-icon 
{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}
.fa-file-pdf
{
    color: var(--prexer-red);
    font-size: 30px;
}
.ui_field_productDescriptionContent a
{
    color: var(--prexer-red);
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 600;
}
.ui_field_productDescriptionContent a:hover
{
    text-decoration: underline;
}
.ui_field_bannerProductsMobile, .ui_field_bannerProductsMobile .ui_field_bannerProducts, #ui_field_documentsMobile
{
    display: none;
}
.ui_field_optionalImagesBottom :is(img, video)
{
    min-width: 250px;
    width: 50%;
}

.ui_field_optionalImagesBottom
{
	margin-top: 3rem !important;
	margin-bottom: 0px;
}
.ui_field_productBannerMain img
{
    height: 100%;
	object-fit: cover;
	
}
.ui_field_gallery
{
    display: flex;
    justify-content: center;
}
#ui_field_productHeader h1
{
    font-size: 3.6vw;
    font-family: "Chakra Petch", sans-serif;
    text-transform: uppercase;
    font-weight: 600;
    color: var(--prexer-red);
    padding-bottom: 0;
	display: inline-block;
	margin-right: 0.5rem;
}
#ui_field_productHeader h3
{
    font-size: 2.6vw;
	display: inline-block;
}
#ui_field_productHeader h5
{
    font-size: 1.9vw;
}

.carousel-indicators
{
    position: relative!important;
}
div#carouselExampleIndicators .carousel-indicators button
{
    background-color: var(--prexer-gray)!important;
    width: 13px;
    height: 13px;
}
div#carouselExampleIndicators
{
    width: 100%;
}
div#carouselExampleIndicators .carousel-indicators button.active
{
    background-color: var(--prexer-red)!important;
}
.ui_field_productData
{
    --b: 4px;   /* thickness of the border */
    --c: var(--prexer-red);   /* color of the border */
    --wt: 90%;  /* width of border */
    --w-40: 40px;  /* width of border */
    padding: var(--b); /* space for the border */
    position:relative;
    width: 45%;
    padding: 1.5vw;
    font-size: 1.15vw;
    color: var(--prexer-darkgray);
}
.ui_field_productData::before
{
    content :"";
    position: absolute;
    inset: 0;
    background: var(--c,red);
    --_g: #0000 90deg,#000 0;
    --_pt: var(--wt) var(--w-40) no-repeat;
    --_p: var(--w) var(--w) no-repeat;
    --mask:
        conic-gradient(from 90deg  at top    var(--b) left  var(--b),var(--_g)) 0    0    / var(--_pt),
        conic-gradient(from 180deg at top    var(--b) right var(--b),var(--_g)) 100% 0    / 0,
        conic-gradient(from 0deg   at bottom var(--b) left  var(--b),var(--_g)) 0    100% / 0,
        conic-gradient(from -90deg at bottom var(--b) right var(--b),var(--_g)) 100% 100% / 0;
    -webkit-mask: var(--mask);
    mask: var(--mask);
}
.ui_field_productData table tr td
{
    border-bottom: 1px solid var(--prexer-gray);
    padding-bottom: 5px;
}

tr.border-disabled td
{
	border-bottom: none !important;
	padding-bottom: 0px !important;
}

h3.ui_h3_tacticalData
{
    color: var(--prexer-red);
    font-size: 1.3vw;
    text-transform: uppercase;
    font-weight: 600;
    font-family: "Chakra Petch", sans-serif;
}
.ui_field_productDescription div
{
    min-width: 300px;
}
.ui_field_productDescription h2
{
    color: var(--prexer-red);
    font-family: "Chakra Petch", sans-serif;
    font-weight: 600;
    font-size: 2.1vw;
}
.ui_td_key
{
    font-weight: normal;
	vertical-align: top;
}

.ui_td_key ul
{
	margin-bottom: 0px;
}
.ui_td_value
{
    font-weight: 600;
    padding-left: 10px;
	vertical-align: top;
}
.ui_field_productDescriptionContent
{
    width: 55%;
	font-size: 1.3vw;
}
.ui_field_productDescriptionContent p, .ui_field_productDescriptionContent ul
{
    font-size: 1.3vw;
}
/* footer */
#ui_field_footer
{
    background-color: var(--prexer-black);
    color: var(--prexer-darkgray);
    padding-top: 2rem;
	padding-left: 4%;
	padding-right: 4%;
    padding-bottom: 1rem;
    font-size: 12px;
	min-height: 9vh;
}
#ui_field_footer div div
{
    min-width: 150px;
    flex-wrap: nowrap;
}
#ui_field_footer span
{
    padding: 0% 2%;
    text-wrap: nowrap;
}
#ui_field_footer .fa-brands
{
    font-size: 24px;
    margin: 0 4px;
}
#ui_field_footer a
{
    color: var(--prexer-darkgray);
}
/* home */
.ui_field_homeBannerMain #ui_field_bannerHeader
{
    font-size: 5vw;
    letter-spacing: 4vw;
}
.ui_field_homeBannerMain #ui_field_bannerHomeCategories
{
    position: absolute;
    top: 65%;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 1.8vw;
    color: var(--prexer-red);
    font-weight: 600;
    font-family: "Chakra Petch", sans-serif;
    text-transform: uppercase;
}
.ui_field_homeBannerMain #ui_field_bannerHomeCategories a
{
    color: var(--prexer-red);
    text-decoration: none;
}
.ui_field_homeBannerMain #ui_field_bannerHomeCategories a:hover
{
    text-decoration: underline;
}

.ui_field_categoryDesc
{
	padding-top: 0px !important;
}

/* media queries */
@media only screen and (min-width: 2200px) 
{
    .ui_field_productDescriptionContent, .ui_field_productDescriptionContent p, .ui_field_productData table td, .ui_field_productDescriptionContent ul
    {
        font-size: 27px;
    }
}
@media only screen and (max-width: 1030px) 
{
    .repair-table tr td, .repair-table tr td:first-child
    {
        padding-right: 2rem;
    }
    #ui_field_pageContent, .ui_field_bannerProducts
    {
        position: inherit;
    }
    .ui_field_bannerProducts
    {
        font-size: 18px;
    }
    #ui_field_navbar
    {
        background-color: black;
        border-bottom: none;
    }
    .ui_field_bannerProducts a
    {
        font-size: 14px;
        font-weight: 300;
    }
    #ui_field_bannerHeader
    {
        font-size: 26px;
    }
    .ui_field_productBannerMain, #ui_field_documentsDesktop
    {
        display: none;
    }
    .ui_field_bannerProductsMobile, .ui_field_bannerProductsMobile .ui_field_bannerProducts, #ui_field_documentsMobile
    {
        display: flex;
    }
    .ui_field_productData #ui_field_documentsMobile
    {
        padding-top: 20px;
    }
    .ui_field_productData #ui_field_documentsMobile div
    {
        z-index: 9;
    }
    .ui_field_productData #ui_field_documentsMobile a
    {
        font-size: 14px;
        text-transform: uppercase;
        color: var(--prexer-red);
        text-decoration: none;
        font-weight: 600;
    }
    .ui_field_bannerProductsMobile
    {
        display: flex;
        text-align: center;
        /* height: 20vw; */
        justify-content: center;
        align-items: center;
        font-size: 24px;
        color: var(--prexer-red);
        font-weight: 600;
        font-family: "Chakra Petch", sans-serif;
        text-transform: uppercase;
        background-color: black;
        /* position: relative; */
    }
    #ui_field_navbar .navbar-nav li
    {
        margin-left: 2vw;
    }
    .ui_field_productDescriptionContent, .ui_field_productDescriptionContent p, .ui_p_description, .ui_field_productDescriptionContent ul, .info-page-layout
    {
        font-size: 14px;
    }
    .ui_field_productData table td, #ui_field_footer, div.ui_field_sightStyle p.ui_p_productName a, .ui_field_categoryDesc table td, .ui_field_categoryDesc table th
    {
        font-size: 14px;
    }

    h3.ui_h3_tacticalData, .ui_field_productDescriptionContent h2, div.ui_field_sightStyle h3, h2.ui_h2_siteTitle, div#ui_field_productHeader h1
    {
        font-size: 20px;
    }
    #ui_field_navbar .navbar-brand
    {
        font-size: 24px;
    }
    #ui_field_navbar .navbar-brand span
    {
        font-size: 20px;
    }
    div.ui_field_categoryOffer div.ui_field_sightStyle
    {
        padding: 2vw;
        display: flex;
        flex-direction: column;
        align-items: center;
        min-width: 300px;
        text-align: center;
    }#ui_field_navbar .navbar-brand
    div.ui_field_sightStyle h5, div#ui_field_productHeader h3
    {
        font-size: 16px;
    }
	#ui_field_productHeader h5
	{
		font-size: 14px;
	}

    .ui_field_productData, .ui_field_productDescriptionContent
    {
        width: 100%;
    }
    .ui_field_productData
    {
        padding: 2vw;
        padding-top: 4vw;
        order: 1;
        margin-bottom: 20px;
    }
    .ui_field_productDescriptionContent
    {
        padding: 2vw;
        order: 0;
    }
    .ui_field_categoryOffer > div
    {
        min-width: 90%;
    }
    .ui_img_categoriesDescriptionImage, div.ui_field_categoryOffer div.ui_field_sightStyle
    {
        width: 100%;
        margin: 2% 0%;
    }	
    .ui_field_categoryDesc div p, .ui_field_categoryDesc p.ui_p_description, .ui_field_categoryDesc div.ui_p_description
    {
        width: 100%;
    }
    .ui_img_descriptionImage
    {
        display: none;
    }
    #ui_field_footer div div
    {
        flex-wrap: wrap;
        width: 100%;
    }
    .ui_field_breadcrumbs span
    {
        font-size: 12px;
    }
    .ui_field_gallery #carouselExampleIndicators
    {
        width: 100%;
    }
    .ui_field_homeBannerMain #ui_field_bannerHeader
    {
        font-size: 36px;
        top: 20%;
    }
    .ui_field_homeBannerMain #ui_field_bannerHomeCategories
    {
        font-size: 10px;
        top: 45%;
    }

	.ui_field_sightStyle .ui_p_productName
{
	margin-bottom: 0.75rem;
}
}
@media only screen and (max-width: 1100px) 
{
    .ui_field_homeBannerMain #ui_field_bannerHomeCategories
    {
        font-size: 16px;
    }
}
@media only screen and (max-width: 500px) 
{
    .ui_field_optionalImagesBottom :is(img, video)
    {
        width: 90%;
    }
}